### Hierarchy

- unknown
  - GetTransactionRequest

## Index

### Constructors

- constructor

### Methods

- getTxId
- serializeBinary
- setTxId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTransactionRequest(): GetTransactionRequest

- Inherited from jspb.Message.constructor

  #### Returns GetTransactionRequest

## Methods

### getTxId

- getTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3510

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3513

  #### Returns Uint8Array

### setTxId

- setTxId(value: string): GetTransactionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3511

  #### Parameters

  - ##### value: string

  #### Returns GetTransactionRequest

### toObject

- toObject(includeInstance?: boolean): GetTransactionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3514

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTransactionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTransactionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3517

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTransactionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTransactionRequest, reader: BinaryReader): GetTransactionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3518

  #### Parameters

  - ##### message: GetTransactionRequest

  - ##### reader: BinaryReader

  #### Returns GetTransactionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTransactionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3516

  #### Parameters

  - ##### message: GetTransactionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTransactionRequest ): GetTransactionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3515

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTransactionRequest

  #### Returns GetTransactionRequest . AsObject

Generated using TypeDoc